> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

> Get details of all payments collection done via your keys.



## OpenAPI

````yaml get /payments
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /payments:
    get:
      description: Get details of all payments collection done via your keys.
      operationId: GetPaymentById
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination (default is 0).
          schema:
            type: integer
            format: int32
            default: 0
        - name: size
          in: query
          required: false
          description: Number of items per page for pagination (default is 10).
          schema:
            type: integer
            format: int32
            default: 10
        - name: reference
          in: query
          required: false
          description: The unique identifier of the payment.
          schema:
            type: number
            format: int32
        - name: query
          in: query
          required: false
          description: >-
            Use this to get payments by any internal reference you set when
            creating/initializing payments
          schema:
            type: string
            example: ref-db15ac7a-78c4-480d-afc4-2be8b2325399
        - name: status
          in: query
          required: false
          description: ''
          schema:
            type: string
            description: This can either be successful, failed or pending.
        - name: channel
          in: query
          required: false
          description: ''
          schema:
            type: string
            enum:
              - card
              - bank_transfer
              - mobile_money
              - eft
            description: >-
              This can either be card, bank transfer, mobile_money, or eft for
              local currency payments.
        - name: provider
          in: query
          required: false
          description: ''
          schema:
            type: string
            description: These are available payment providers on Spotflow.
        - name: from
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: to
          in: query
          required: false
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of payment objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: array
                    items:
                      $ref: '#/components/schemas/PaymentResponse'
                  pageNumber:
                    type: integer
                    example: 1
                  pageSize:
                    type: integer
                    example: 10
                  totalElements:
                    type: integer
                    example: 100
                  totalPages:
                    type: integer
                    example: 10
        '400':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    PaymentResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        reference:
          type: string
          example: REF123456789
        spotflowReference:
          type: string
          example: SPF-REF-001
        amount:
          type: number
          example: 100
        currency:
          type: string
          example: USD
        localAmount:
          type: number
          example: 156000
        totalFees:
          type: number
          example: 500
        localCurrency:
          type: string
          example: NGN
        channel:
          type: string
          example: card
        status:
          type: string
          example: SUCCESS
        mode:
          type: string
          example: TEST
        rate:
          type: number
          example: 1560
        region:
          type: string
          example: Nigeria
        authorization:
          type: object
          properties:
            mode:
              type: string
              example: Pin
        ussd:
          type: object
          properties:
            code:
              type: string
              example: '*737#'
            paymentCode:
              type: string
              example: '123456'
        bankDetails:
          type: object
          properties:
            accountName:
              type: string
              example: John Doe
            accountNumber:
              type: string
              example: '0123456789'
            bankName:
              type: string
              example: Access Bank
        card:
          type: object
          properties:
            type:
              type: string
              example: VISA
            firstSix:
              type: string
              example: '412345'
            lastFour:
              type: string
              example: '6789'
        createdAt:
          type: string
          format: date-time
          example: '2025-10-17T15:21:11.287Z'
        metadata:
          type: object
          additionalProperties:
            type: string
          example:
            orderId: ORD-000123
            note: First payment
        totalTaxAmount:
          type: number
          example: 50
        totalLocalAmount:
          type: number
          example: 156050
        planId:
          type: string
          format: uuid
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        mobileMoney:
          type: object
          properties:
            otp:
              type: string
              example: '1234'
            code:
              type: string
              example: MTN
            name:
              type: string
              example: MTN Mobile Money
            phoneNumber:
              type: string
              example: '+233540000000'
      required:
        - id
        - reference
        - amount
        - currency
        - status
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````